Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  package parser
  Definition Classes
    ast
-  trait Scanners extends ScannersCommon
  Definition Classes
    parser
- CommonTokenData
- DocScanner
- MalformedInput
- ParensAnalyzer
- Scanner
- ScannerCommon
- ScannerData
- SourceFileScanner
- TokenData
- UnitScanner

c

scala.tools.nsc.ast.parser.Scanners

# MalformedInput

###

#### class MalformedInput extends Exception

Source
  Scanners.scala

Linear Supertypes
java.lang.Exception, java.lang.Throwable, java.io.Serializable, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MalformedInput
2. Exception
3. Throwable
4. Serializable
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new MalformedInput(offset: Scanners.Offset, msg: String)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from MalformedInput toany2stringadd[MalformedInput] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (MalformedInput, B)
   Implicit
     This member is added by an implicit conversion from MalformedInput toArrowAssoc[MalformedInput] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def addSuppressed(arg0: java.lang.Throwable): Unit
   Definition Classes
     Throwable
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def ensuring(cond: (MalformedInput) => Boolean, msg: => Any): MalformedInput
   Implicit
     This member is added by an implicit conversion from MalformedInput toEnsuring[MalformedInput] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (MalformedInput) => Boolean): MalformedInput
    Implicit
      This member is added by an implicit conversion from MalformedInput toEnsuring[MalformedInput] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: => Any): MalformedInput
    Implicit
      This member is added by an implicit conversion from MalformedInput toEnsuring[MalformedInput] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): MalformedInput
    Implicit
      This member is added by an implicit conversion from MalformedInput toEnsuring[MalformedInput] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
15.  def fillInStackTrace(): java.lang.Throwable
    Definition Classes
      Throwable
16.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from MalformedInput toStringFormat[MalformedInput] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  def getCause(): java.lang.Throwable
    Definition Classes
      Throwable
19.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def getLocalizedMessage(): String
    Definition Classes
      Throwable
21.  def getMessage(): String
    Definition Classes
      Throwable
22.  def getStackTrace(): Array[StackTraceElement]
    Definition Classes
      Throwable
23.  final def getSuppressed(): Array[java.lang.Throwable]
    Definition Classes
      Throwable
24.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
25.  def initCause(arg0: java.lang.Throwable): java.lang.Throwable
    Definition Classes
      Throwable
26.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
27.  val msg: String
28.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
29.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
30.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
31.  val offset: Scanners.Offset
32.  def printStackTrace(arg0: PrintWriter): Unit
    Definition Classes
      Throwable
33.  def printStackTrace(arg0: PrintStream): Unit
    Definition Classes
      Throwable
34.  def printStackTrace(): Unit
    Definition Classes
      Throwable
35.  def setStackTrace(arg0: Array[StackTraceElement]): Unit
    Definition Classes
      Throwable
36.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
37.  def toString(): String
    Definition Classes
      Throwable → AnyRef → Any
38.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
39.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
40.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (MalformedInput, B)
   Implicit
     This member is added by an implicit conversion from MalformedInput toArrowAssoc[MalformedInput] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from java.lang.Exception

### Inherited from java.lang.Throwable

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromMalformedInput to any2stringadd[MalformedInput]

### Inherited by implicit conversion StringFormat fromMalformedInput to StringFormat[MalformedInput]

### Inherited by implicit conversion Ensuring fromMalformedInput to Ensuring[MalformedInput]

### Inherited by implicit conversion ArrowAssoc fromMalformedInput to ArrowAssoc[MalformedInput]

### Ungrouped